Get a Specific Quote

Retrieves the details of a single existing quote by its DealHub Quote ID.

This endpoint allows you to fetch specific data points for any quote in DealHub. The level of detail in the response is controlled by the feature query parameter.

  • Minimal Response: If you don't specify any feature parameters, the API returns a basic response containing only the dealhub_quote_id, its current status, and the quote_upgrade_required flag.
  • Detailed Response: To get more information, you must include one or more feature query parameters in your request.

If a Draft quote was created using an older one, now-inactive version, the quote_upgrade_required flag will be true. When this occurs, the API will not return any requested feature data for that quote.

šŸ“˜

Date Formats

All date values in the response are returned in yyyy-mm-dd hh:mm:ss format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 16

The unique identifier for the quote in DealHub.

Query Params
feature
array of strings

Specify which parts of the quote data to retrieve. This parameter can be used multiple times.
Valid options are:

  • info
  • summary
  • deal_room_info
  • line_items
  • answers
  • approvals
  • all
feature
Allowed:
boolean
Defaults to false

If true, the quote_id in the path refers to the external_quote_id from the CRM.

Responses

400

Bad Request. The quote is in draft status or the requested document type is not supported.

403

Forbidden. Invalid or missing authentication token.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json